Subject: Re: gdb cross-debugging for MIPS linux target

From: Ulf Carlsson <[email-masked]>
Date: Mon, 10 Apr 2000 15:22:36 -0700 (PDT)

> Does anybody know if I can use gdb to cross-debug a MIPS/Linux target
> with i386/Linux host?
> 
> I downloaded gdb source and tried "./configure --target=mipsel-linux" on
> my i386/Linux host.  I got an error saying "mipsel-unknown-linux-gnu"
> not supported.
> 
> If such a port does not exist, can someone point to me a starting place
> where I can do the port myself?

I think there's a gdb tree in the CVS repository on oss.sgi.com.  Try to check
out the gdb module.  I have been using gdb to cross debug my MIPS machine so
it was at least functional last summer.  I have a patch that adds kdb support
do the MIPS kernel, but I don't think it's finished.  Scott Lurndal was
hacking on it a couple of months ago and I can send it to you if you're
interested.

Ulf